\definecolor{pri5}{HTML}{F2F8FB}
\definecolor{pri4}{HTML}{f0f8fb}
\definecolor{pri3}{HTML}{9DC1CF}
\definecolor{pri2}{HTML}{6B9AAB}
\definecolor{pri1}{HTML}{44798D}

\definecolor{com5}{HTML}{FFFAF5}
\definecolor{com4}{HTML}{FFEFDD}
\definecolor{com3}{HTML}{FFE0BF}
\definecolor{com2}{HTML}{FFCF9C}
\definecolor{com1}{HTML}{E1A667}

\usetikzlibrary{chains,fit,positioning,shadows,shapes.geometric,shapes.multipart}

\makeatletter
\newcommand{\umlact@manual}{false}
\pgfkeys{
  /umlact/.cd,
  node/.store in=\umlact@node,
  users/.store in=\umlact@users,
  time limit/.store in=\umlact@tl,
  manual/.store in=\umlact@manual,
  type/.is choice,
  type/graph/.code={\gdef\umlact@stereotype{gpc}},
  type/activity/.code={\gdef\umlact@stereotype{pc}},
}
\newenvironment{umlactivity}[1][]{
  \begin{tikzpicture}[
    graphicnode/.style={
      draw,fill=black,color=black},
    initial/.style={
      graphicnode,shape=circle,inner sep=.2cm},
    final/.style={
      graphicnode,shape=circle,inner sep=.2cm},
    decision/.style={
      graphicnode,inner sep=.2cm,fill=white},
    fork/.style={
      graphicnode,inner sep=0,minimum width=0.75em,minimum height=2em},
    activity/.style={
      graphicnode,inner sep=0.8em,fill=white,rounded corners,text centered,
      text depth=0.1em,
    },
    cflow/.style={->,color=gray},
    condition/.style={auto,midway,color=black},#1
    alink/.style={dashed}
  ]
  \newcommand<>{\final}[2][]{
    \node##3[final,fill=white,##1] (##2) {};
    \node##3[final,inner sep=.125cm] (i##2) at (##2.center) {};
  }
  \newcommand<>{\decision}[2][]{
    \node##3[decision,##1,rotate=45] (##2) {};
  }
  \newcommand<>{\initial}[2][]{
    \node##3[initial,##1] (##2) {};
  }
  \newcommand<>{\fork}[2][]{
    \node##3[fork,##1] (##2) {};
  }
  \let\join=\fork
  \newcommand<>{\activity}[3][]{
    \node##4[activity,##1] (##2) {##3};
  }
  \newcommand<>{\perfannotation}[2][]{
    \begingroup
    \pgfkeys{/umlact/.cd,##2}
    \node##3[draw,##1,fill=white,rectangle split,
      rectangle split parts=4,
      rectangle split draw splits=false,
      rectangle split part align={center,left}]
     (\umlact@node){
      «\umlact@stereotype»
      \nodepart{second}
      concurrentUsers = \umlact@users
      \nodepart{third}
      timeLimit = \umlact@tl
      \nodepart{fourth}
      manual = \umlact@manual
    };
    \endgroup
  }
}{\end{tikzpicture}}
\makeatother
